/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */

package com.sun.jini.admin;

/**
 * Admin interface for destroying a service.  Administrable services are
 * encouraged to have their admin object implement this interface.
 *
 * @see net.jini.admin.Administrable#getAdmin
 */
public interface DestroyAdmin {
    /**
     * Destroy the service, if possible, including its persistent storage.
     * This method will typically spawn a separate thread to do the
     * actual work asynchronously, so a successful return from this
     * method usually does not mean that the service has been destroyed.
     */
    void destroy() throws java.rmi.RemoteException;
}
