/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.constants;

import net.jini.core.transaction.server.TransactionConstants;

/** Names for constants common to transaction managers and participants. */

public class TxnConstants implements TransactionConstants {
    /** Names of each of the states */
    private static final String[] stateNames = {
	null, "active", "voting", "prepared",
	"notchanged", "committed", "aborted"
    };

    /**
     * Returns a <code>String</code> which describes
     * the state of the <code>Transaction</code>.
     *
     * @see net.jini.core.transaction.server.TransactionConstants
     */
    public static String getName(int state) {
	String name = "UNKNOWN";
	switch (state) {
	  case ACTIVE:
	  case VOTING:
	  case PREPARED:
	  case NOTCHANGED:
	  case COMMITTED:
	  case ABORTED:
	    name = stateNames[state];
	}
	return name;
    }
}
