/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.example.books;

import com.sun.jini.example.spaceApplet.*;

import java.awt.*;
import java.io.*;
import java.util.Random;
import java.util.Vector;

/**
 * A "Blast a bunch of entries" action.
 */
class BlastButton extends TimedButton {
    BookBuyer buyer;
    Blaster blaster;

    BlastButton(BookBuyer buyer) {
	super("Blast", buyer);
	this.buyer = buyer;
	blaster = new Blaster(buyer);
    }

    public void pushed() {
	RFB rfb = new RFB();
	FullRFB full = new FullRFB();
	RFB writing;

	String blastCntStr = buyer.count().getText();
	int blastCnt = Integer.parseInt(blastCntStr);

	try {
	    blaster.blast(blastCnt, buyer.currentTxn());
	} catch (java.rmi.RemoteException e) {
	    e.printStackTrace();
	}
    }
}
