/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.example.books;

import java.rmi.activation.ActivationGroup;
import java.rmi.activation.ActivationException;

/**
 * Simple program that blocks until the activation system is up
 */
public class RMIDWait {
    public static void waitOnRMID() {
	System.out.print("Waiting for activation system");
	while (true) {
	    try {
		ActivationGroup.getSystem();
		System.out.println("Activation system is up");
		return;
	    } catch (ActivationException e) {
	    }

	    System.out.print(".");

	    try {
		Thread.sleep(1000);
	    } catch (InterruptedException e) {
	    }
	}
    }

    public static void main(String[] argv) {
	waitOnRMID();
    }
}
