/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.example.books;

import java.io.File;
import java.awt.GridLayout;
import java.awt.Font;
import javax.swing.SwingConstants;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JPanel;
import javax.swing.AbstractButton;
import javax.swing.JRadioButton;
import javax.swing.ButtonGroup;

public class RegistryGUI {


    JLabel       registryPortLabel;
    JLabel       lookupGroupsLabel;
    JTextField   registryPortField;
    JTextField   lookupGroupsField;    
    JPanel       panel;
    GridLayout   classesGUILayout;
    JRadioButton rmiButton,lookupButton,noneButton;
    ButtonGroup  registryGroup;


    public RegistryGUI( JPanel panel, String text) {
	
	//panel = new JPanel(false);
	
	classesGUILayout = (new GridLayout(0, 2));
	classesGUILayout.setHgap(3);
	classesGUILayout.setVgap(3);
	panel.setLayout(classesGUILayout);
	//panel.setFont(new Font("Dialog", Font.PLAIN, 24));



	
	registryPortLabel = new JLabel("Registry Port:");
	registryPortLabel.setHorizontalAlignment(JLabel.RIGHT);
	registryPortField = new JTextField();

	lookupGroupsLabel = new JLabel("Lookup Groups:");
	lookupGroupsLabel.setHorizontalAlignment(JLabel.RIGHT);
	lookupGroupsField = new JTextField("public");

	rmiButton    = new JRadioButton("RMI Registry");
	lookupButton = new JRadioButton("Lookup Services");
	noneButton   = new JRadioButton("NONE");

	registryGroup = new ButtonGroup();
	registryGroup.add(rmiButton);
	registryGroup.add(lookupButton);
	registryGroup.add(noneButton);

	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));

	panel.add(rmiButton);
	panel.add( new JLabel(" "));

	panel.add(registryPortLabel);
	panel.add(registryPortField);

	panel.add(lookupButton);
	panel.add( new JLabel(" "));

	panel.add(lookupGroupsLabel);
	panel.add(lookupGroupsField);	

	panel.add(noneButton);
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));

    }//end-constructor

    public String getLookupGroups() {
	return lookupGroupsField.getText();
    }

    public String getRegistryPort() {
	return registryPortField.getText();
    }

    public boolean getRMIRegistryState() {
	return rmiButton.isSelected();
    }

    public boolean getLookupState() {
	return lookupButton.isSelected();
    }

    public String getCurrentRegistryType() {
	if ( rmiButton.isSelected() ) 
	    return rmiButton.getText();
	else {
	    if ( lookupButton.isSelected() )
		return lookupButton.getText();
	    else {
		return ("No Services");
	    }
	}
    }

    public void setRunitRef() {
	SymMouse aSymMouse = new SymMouse();
	rmiButton.addMouseListener(aSymMouse);
	lookupButton.addMouseListener(aSymMouse);
	noneButton.addMouseListener(aSymMouse);
    }

  class SymMouse extends java.awt.event.MouseAdapter {
	
	public void mouseClicked(java.awt.event.MouseEvent event) {
	    
	    Object object = event.getSource();

	    if (object == rmiButton ) {
		System.err.println("Will use RMI Registry");
	    }
	    
	    if (object == lookupButton ) {
		System.err.println("Will use Lookup Service");
	    }

	    if (object == noneButton ) {
		System.err.println("Will not use any registry service");
	    }
	}//end-mouseClicked
  }//end-SymMouse

}//end-class






