/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.example.books;

import java.io.*;
import java.lang.*;
import com.sun.jini.thread.StreamPlugThread;

public class RunSeller {


    private Process p1;
    private Runtime rt;
    private String  cmd;

    RunSeller( String policyFile,
	       String spaceName,
	       String registryType,
	       String lookupGroups,
	       String jarFile,
	       String jarURL,
	       String registryPort) {
	
	try {
            Runtime rt = Runtime.getRuntime();

	    if ( registryType.equals("Lookup Services") ) {

		System.err.println("Registry is lookup");
		
		cmd = "java " + 
		    "-Djava.security.policy=" + policyFile + " " + 
		    "-Doutrigger.spacename="   + spaceName + " " +
		    "-Dcom.sun.jini.lookup.groups=" + lookupGroups + " " +
		    "-cp "                          + jarFile      + " " + 
		    "-Djava.rmi.server.codebase="   + jarURL       + " " +
		    "com.sun.jini.example.books.BookSeller";
	    }

	    else {
		if ( registryType.equals("RMI Registry") ) {
		    
		    System.err.println("Registry is RMI");
		    cmd = "java " + 
			"-Djava.security.policy="  + policyFile + " " + 
			"-Doutrigger.spacename="   + spaceName  + " " +
			"-cp "                     + jarFile    + " " + 
			"-Djava.rmi.server.codebase=" + jarURL  + " " +
			"-Dcom.sun.jini.use.registry=yes ";
		
		    if ( ! registryPort.equals("") ){
			cmd = cmd + "-Dcom.sun.jini.rmiregistryport=" + 
			    registryPort ;
		    }
		
		    cmd = cmd + " com.sun.jini.example.books.BookSeller";
		}	
		else {
		    System.err.println("No Registry Service selected...");
		    return;
		}
	    }
	    
	    
	    System.err.println(cmd);
	    p1 = rt.exec(cmd);
	    
            StreamPlugThread.plugTogether(p1.getInputStream(), System.out);
	    StreamPlugThread.plugTogether(p1.getErrorStream(), System.err);

	    
        } catch (IOException e) {
            System.err.println("exec error:" + e);
	}
    }
    
    void destroy() {
	System.err.println("Killing Seller Application");

	try {
	p1.destroy();
	}	
	catch ( NullPointerException e) {
	    System.err.println("Could not find the process to kill.");
	}
	
    }
}



