/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.example.books;

import java.io.File;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import java.awt.GridLayout;
import java.awt.Font;


public class SpacesGUI
{
    
    private JLabel     jarOutriggerServerLabel,jarOutriggerClientLabel;
    private JLabel     spacesLabel,policyLabel;
    private JTextField jarOutriggerServerField,jarOutriggerClientField;
    private JTextField jarTopField,jarURLTopField,policyField;
    private JTextField spacesField;
    private GridLayout booksGUILayout;


    public SpacesGUI( JPanel panel, String text) {

	booksGUILayout = (new GridLayout(0,2));
	booksGUILayout.setHgap(3);
	booksGUILayout.setVgap(3);
	panel.setLayout(booksGUILayout);
	
        jarOutriggerServerLabel = new JLabel("Books Jar File:");
	jarOutriggerServerLabel.setHorizontalAlignment(JLabel.RIGHT);
	
        jarOutriggerClientLabel = new JLabel("Books Client Jar File URL:");
	jarOutriggerClientLabel.setHorizontalAlignment(JLabel.RIGHT);
	
	
	jarTopField    = new JTextField(File.separator + "files"    + 
					File.separator + "jini1_1"  + 
					File.separator + "lib"      +
					File.separator + "space-examples.jar");
	
	jarURLTopField = 
	    new JTextField("http://localhost:8080/space-examples-dl.jar");
	
	
	spacesLabel = new JLabel("JavaSpace Name:");
	spacesLabel.setHorizontalAlignment(JLabel.RIGHT);
	
	spacesField = new JTextField("JavaSpaces");

	policyLabel = new JLabel("Location of Spaces Policy File:");
	policyLabel.setHorizontalAlignment(JLabel.RIGHT);

	policyField = new JTextField(File.separator + "files"   +
				     File.separator + "jini1_1" +
				     File.separator + "example" +
				     File.separator + "books"   +
				     File.separator + "policy.all");
	
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add(policyLabel);
	panel.add(policyField);
	panel.add(jarOutriggerServerLabel);
	panel.add(jarTopField);
	panel.add(jarOutriggerClientLabel);
	panel.add(jarURLTopField);
	panel.add(spacesLabel);
	panel.add(spacesField);
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));

    }

    public String getSpaceName() {
	return spacesField.getText();
    }


    public String getJarTop() {
	return jarTopField.getText();
    }

    public String getURLTop() {
	return jarURLTopField.getText();
    }

    public String getPolicyFile() {
	return policyField.getText();
    }
} 




