/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.example.books;

import com.sun.jini.example.service.TabbedGUI;

import javax.swing.JTabbedPane;
import javax.swing.JPanel;
import javax.swing.JFrame;

import java.awt.event.WindowListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.awt.GridLayout;
import java.awt.Font;



public class StartBooks extends JPanel {

    public StartBooks() {

	JTabbedPane masterTabbedPane = new JTabbedPane();

	TabbedGUI registryTabbedPanel = 
	    new TabbedGUI("Registry Services",masterTabbedPane,
			  "RMI or Lookup");
	RegistryGUI registryGUI = 
	    new RegistryGUI(registryTabbedPanel.getPanel(),
			    "Registry Services"); 

	TabbedGUI spacesTabbedPanel = 
	    new TabbedGUI("JavaSpaces",masterTabbedPane,
			  "outrigger");
	SpacesGUI spacesGUI = 
	    new SpacesGUI(spacesTabbedPanel.getPanel(),"JavaSpaces");


	TabbedGUI runitTabbedPanel = 
	    new TabbedGUI("Run It All!",masterTabbedPane,
			  "Start Selected Services");
	RunitGUI runitGUI = 
	    new RunitGUI(runitTabbedPanel.getPanel(),"Run It All!",
			 registryGUI,spacesGUI);


	registryGUI.setRunitRef();

	masterTabbedPane.setSelectedIndex(0);

	setLayout(new GridLayout(1, 0)); 
        add(masterTabbedPane);

    }


    public static void main(String[] args) {
	/*
	 * Create a window.  Use JFrame since this window will include 
	 * lightweight components.
	 */

	JFrame frame = new JFrame("Jini(TM) Software Services Startup v1.0");

	WindowListener l = new WindowAdapter() {
	    public void windowClosing(WindowEvent e) {System.exit(0);}
	};
	frame.addWindowListener(l);

	frame.getContentPane().add("Center", new StartBooks());
	frame.setSize(450,280);
	frame.show();
    }
}









