/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.example.service;

import java.io.File;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import java.awt.GridLayout;
import java.awt.Font;

public class PolicyGUI
{
    
    JPanel     panel;
    GridLayout classesGUILayout;
    JLabel     txnLabel,spacesLabel,lookupLabel;
    JTextField txnField,spacesField,lookupField;
    

    public PolicyGUI( JPanel panel, String text) 
    {
	//panel = new JPanel(false);
	
	classesGUILayout = (new GridLayout(0, 2));
	classesGUILayout.setHgap(3);
	classesGUILayout.setVgap(3);
	panel.setLayout(classesGUILayout);
	//panel.setFont(new Font("Dialog", Font.PLAIN, 24));


	txnLabel = new JLabel("Location of Txn Policy File:");
	txnLabel.setHorizontalAlignment(JLabel.RIGHT);
	

	spacesLabel = new JLabel("Location of Spaces Policy File:");
	spacesLabel.setHorizontalAlignment(JLabel.RIGHT);

	lookupLabel = new JLabel("Location of Lookup Policy File:");
	lookupLabel.setHorizontalAlignment(JLabel.RIGHT);


	txnField    = new JTextField(StartService.rootDir +
				     File.separator + "jini1_1" +
				     File.separator + "example" +
				     File.separator + "txn"   +
				     File.separator + "policy.all" );

	spacesField = new JTextField(StartService.rootDir +
				     File.separator + "jini1_1" +
				     File.separator + "example" +
				     File.separator + "books"   +
				     File.separator + "policy.all");

	lookupField = new JTextField(StartService.rootDir +
				     File.separator + "jini1_1" +
				     File.separator + "example" +
				     File.separator + "lookup"  +
				     File.separator + "policy.all");
	
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add(txnLabel);
	panel.add(txnField);
	panel.add(spacesLabel);
	panel.add(spacesField);
	panel.add(lookupLabel);
	panel.add(lookupField);
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
    }//end-constructor
    
    public String getLookupPath() {
	return lookupField.getText();
    }

    public String gettxnPath() {
	return txnField.getText();
    }

    public String getSpacePath() {
	return spacesField.getText();
    }

}//end-class



