/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.example.service;

import java.io.*;
import java.lang.*;
import java.io.IOException;
import com.sun.jini.system.FileSystem;
import com.sun.jini.thread.StreamPlugThread;

public class RunActivation {

    private Process p1;
    private Runtime rt;

     public RunActivation( String rmidOptions ) {

	try {
	     FileSystem.destroy((new File("log")),true);
	     System.err.println("found RMID log directory...removing it");
	} catch (IOException e) {
	    System.err.println("Could not delete log");
	}

        try {
            rt = Runtime.getRuntime();
            System.err.println("Running rmid " + rmidOptions);

             p1 = rt.exec       ("rmid "  + rmidOptions );
		
            StreamPlugThread.plugTogether(p1.getInputStream(),System.out);
	    StreamPlugThread.plugTogether(p1.getErrorStream(),System.err);

        } catch (IOException e) {
            System.err.println("exec error:" + e);
          }
    }

    public void destroy() {

	System.err.println("Destroying RMID");
	p1.destroy();
	
	try {
	     FileSystem.destroy((new File("log")),true);
	     System.err.println("found RMID log directory...removing it");
	} catch (IOException e) {
	    System.err.println("Could not delete log");
	}
	
    }
}
