/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.example.service;

import java.io.*;
import java.lang.*;
import java.io.IOException;
import com.sun.jini.system.FileSystem;
import com.sun.jini.thread.StreamPlugThread;

public class RunHttpd {

    private Process p1;
    private Runtime rt;
    private String  runCmd;

     public RunHttpd( String  httpdPort,
		      String  httpdDocRoot,
		      boolean httpdTree,
		      boolean httpdVerbose,
		      String  jarPath,
		      String  toolsJar) {


	runCmd = "java -jar ";

	if ( jarPath.equals("") )
    	    runCmd = runCmd + toolsJar;
	else
	    runCmd = runCmd + jarPath + File.separator + toolsJar;



	if ( !httpdPort.equals("") )
		runCmd = runCmd + " -port " + httpdPort;
	if ( !httpdDocRoot.equals("") )
		runCmd = runCmd + " -dir " + httpdDocRoot;
	if ( httpdTree )
		runCmd = runCmd + " -trees ";
	if ( httpdVerbose )
		runCmd = runCmd + " -verbose ";
        try {
            rt = Runtime.getRuntime();
            System.err.println("Running web server " + runCmd);
			       

             p1 = rt.exec(runCmd); 
		
            StreamPlugThread.plugTogether(p1.getInputStream(),System.out);
	    StreamPlugThread.plugTogether(p1.getErrorStream(),System.err);

        } catch (IOException e) {
            System.err.println("exec error:" + e);
          }
    }

    public void destroy() {

	System.err.println("Destroying Web Server");
	p1.destroy();
	
    }
}

