/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.example.service;

import java.io.*;
import java.lang.*;
import java.io.IOException;
import com.sun.jini.system.FileSystem;
import com.sun.jini.thread.StreamPlugThread;

public class RunLookup {

    private Process p1;
    private Runtime rt;
    private String  runCmd;
    private String  lookupLog;

    public RunLookup( String jarTop,
		      String jarReggieServer,
		      String jarURLTop,
		      String jarReggieClient,
		      String policyFile,
		      String lookupLog,
		      String lookupGroups ) {

	this.lookupLog = lookupLog;
	
	try {
	    FileSystem.destroy((new File(lookupLog)),true);
	    System.err.println("found " + lookupLog + " ...removing it");
	} catch (IOException e) {
	    System.err.println("Could not delete " + lookupLog);
	}

        runCmd = "java -jar -Djava.security.policy=" + policyFile;

	if ( jarTop.equals("") )
	    runCmd = runCmd + " " + jarReggieServer;
	else
	    runCmd = runCmd + " " + jarTop + File.separator + jarReggieServer;


	if ( jarURLTop.equals("") )
	    runCmd = runCmd + " " + jarReggieClient;
	else
	    runCmd = runCmd + " " + jarURLTop + "/" + 
		                                jarReggieClient;


	runCmd = runCmd + " " + policyFile;
	runCmd = runCmd + " " + lookupLog;
	runCmd = runCmd + " " + lookupGroups;


        try {
            Runtime rt = Runtime.getRuntime();

            System.err.println("\nRunning " + runCmd );

            p1 = rt.exec(runCmd);

	    StreamPlugThread.plugTogether(p1.getInputStream(),System.out);
	    StreamPlugThread.plugTogether(p1.getErrorStream(),System.err);


        } catch (IOException e) {
            System.err.println("exec error:" + e);
          }
    }

    public void destroy() {
	if (p1 != null) {
	    p1.destroy();
	    System.err.println("Killing Lookup Service");
	} else {
	    System.err.println("Lookup Service Not Running");
	}

	try {
	    FileSystem.destroy((new File(lookupLog)),true);
	    System.err.println("found " + lookupLog + " ...removing it");
	} catch (IOException e) {
	    System.err.println("Could not delete " + lookupLog);
	}

    }
}




