/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.example.service;

import java.io.File;
import javax.swing.JComboBox;
import javax.swing.JTextField;
import javax.swing.JLabel;
import javax.swing.JPanel;
import java.awt.GridLayout;
import java.awt.Font;

public class SpacesGUI
{
    
    JPanel     panel;
    GridLayout spacesGUILayout;
    JLabel     spacesLabel,spacesTypeLabel,spacesPersistentDirLabel;
    JTextField spacesField,spacesTypeField,spacesPersistentDirField;
    JComboBox  spacesTypeChoice;

    public SpacesGUI( JPanel panel, String text) 
    {
	//panel = new JPanel(false);
	
	spacesGUILayout = (new GridLayout(0, 2));
	spacesGUILayout.setHgap(3);
	spacesGUILayout.setVgap(3);
	panel.setLayout(spacesGUILayout);
	//panel.setFont(new Font("Dialog", Font.PLAIN, 24));


	spacesLabel = new JLabel("JavaSpace Name:");
	spacesLabel.setHorizontalAlignment(JLabel.RIGHT);
	

	spacesTypeLabel = new JLabel("Space Type:");
	spacesTypeLabel.setHorizontalAlignment(JLabel.RIGHT);

	spacesPersistentDirLabel = new JLabel("Location of Persistent Dir:");
	spacesPersistentDirLabel.setHorizontalAlignment(JLabel.RIGHT);

	spacesField = new JTextField("JavaSpaces");
	spacesPersistentDirField = new JTextField(File.separator + "tmp" +
						  File.separator +
						  "outriggerDir");

	spacesTypeChoice = new JComboBox();
	spacesTypeChoice.addItem("Transient");
	spacesTypeChoice.addItem("FrontEnd");

        panel.add( new JLabel(" "));	
        panel.add( new JLabel(" "));	
	panel.add(spacesLabel);
	panel.add(spacesField);
	panel.add(spacesTypeLabel);
	panel.add(spacesTypeChoice);
	panel.add(spacesPersistentDirLabel);
	panel.add(spacesPersistentDirField);
        panel.add( new JLabel(" "));	
        panel.add( new JLabel(" "));	

    }//end-constructor

    public Object getSpaceType() {
	return spacesTypeChoice.getSelectedItem();
    }    
 
    public String getSpaceName() {
	return spacesField.getText();
    }

    public String getPersistentDir() {
	return spacesPersistentDirField.getText();
    }
}//end-class


