/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.example.spaceBrowser;

import com.sun.jini.example.browser.Browser.ServiceListItem;
import com.sun.jini.outrigger.JavaSpaceAdmin;
import net.jini.lease.LeaseRenewalManager;
import net.jini.admin.Administrable;
import java.rmi.RemoteException;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;

public class Browser extends com.sun.jini.example.browser.Browser {

    public Browser(ActionListener exiter,
		   LeaseRenewalManager leaseMgr,
		   boolean isAdmin,
		   String[] groups)
	throws java.io.IOException
    {
	super(exiter, leaseMgr, isAdmin, groups);
    }

    protected com.sun.jini.example.browser.Browser.ServiceListPopup serviceListPopup()
    {
	return new ServiceListPopup();
    }

    class ServiceListPopup extends com.sun.jini.example.browser.Browser.ServiceListPopup {
        private JMenuItem spaceItem;

        public ServiceListPopup() {
	    super();

	    spaceItem = new JMenuItem("Browse Entries");
	    spaceItem.addActionListener(this);
	    spaceItem.setActionCommand("browseEntry");
	    add(spaceItem);
	}

        public void setServiceItem(ServiceListItem listItem) {
	    super.setServiceItem(listItem);
	    item = listItem.getServiceItem();
	    if(adminItem.isEnabled() &&
	       item.service instanceof net.jini.space.JavaSpace)
		spaceItem.setEnabled(true);
	    else
		spaceItem.setEnabled(false);
	}

        public void actionPerformed(ActionEvent ev) {
	    String command = ev.getActionCommand();
	    if(command.equals("browseEntry")){
	        try {
		    JavaSpaceAdmin jsadmin = (JavaSpaceAdmin) ((Administrable) item.service).getAdmin();
		    new SpaceBrowser(jsadmin, Browser.this).setVisible(true);
		} catch(RemoteException e){
		    JOptionPane.showMessageDialog(Browser.this,
						  "Failed to get JavaSpaceAdmin interface",
						  "Warning",
						  JOptionPane.WARNING_MESSAGE);
		}
	    } else {
		super.actionPerformed(ev);
	    }
	}
    }

    public static void main (String[] args) {
	main(args, Browser.class);
    }
}
