/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */

package com.sun.jini.lease;

import net.jini.core.lease.Lease;

/**
 * @deprecated This interface was experimental; as of 1.1Alpha, it has been
 *	replaced by {@link net.jini.lease.LeaseListener}. This interface  
 *	was needed by <tt>net.jini.lease.LeaseRenewalManager</tt>. This  
 *	version will be removed in a future release, so please update your
 *      code, and refer to the javadoc for 
 *      <tt>net.jini.lease.LeaseListener</tt> for details on 
 *      <code>LeaseListener</code>.
 * 
 * @see net.jini.lease.LeaseListener
 * @see net.jini.lease.LeaseRenewalManager

 */
public interface LeaseListener extends java.util.EventListener {
    /**
     * Called by the LeaseRenewalManager when a lease expires or is
     * denied before the desired absolute expiration time is reached.
     * The lease has already been removed from the managed set.  New
     * leases can be added from within the listener.
     *
     * @param e the event
     */
    void notify(LeaseRenewalEvent e);
}
