/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.lookup;

/**
 * Interface used by a service that does not yet have a service ID, for
 * callback from the JoinManager when a service ID is assigned.
 *
 * @deprecated This interface was experimental; as of 1.1Alpha, it has been
 *	replaced by {@link net.jini.lookup.ServiceIDListener}. This interface  
 *	was needed by <code>net.jini.lookup.JoinManager</code> . This version
 *	will be removed in a future release, so please update your code, and
 *      refer to the javadoc for <tt>net.jini.lookup.ServiceIDListener</tt>  
 *      for details on <code>ServiceIDListener</code>.
 * 
 * @see net.jini.lookup.JoinManager
 * @see net.jini.lookup.ServiceIDListener
 */
public interface ServiceIDListener extends java.util.EventListener {
    /** 
     * Called when the JoinManager gets a valid ServiceID from a lookup 
     * service.
     */
    void serviceIDNotify(net.jini.core.lookup.ServiceID serviceID);
}
