/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.mahalo;

import net.jini.core.transaction.*;
import net.jini.core.transaction.server.*;

import com.sun.jini.lease.landlord.Landlord;

import net.jini.admin.Administrable;
import com.sun.jini.admin.DestroyAdmin;
import com.sun.jini.mahout.KillVMAdmin;
import com.sun.jini.mahout.RegistryAdmin;

import java.rmi.*;

/**
 * Encapsulates the interface of an implementation of
 * a <code>TransactionManager</code>.
 *
 * @author Ken Arnold
 * @author Gary Holness
 */
public interface TxnManager extends Remote, Landlord, DestroyAdmin,
    Administrable, KillVMAdmin
{
    public static final String DEFAULT_NAME = "TransactionManager";

    public static final String TXNMGR_NAME_PROP = 
	"com.sun.jini.mahalo.managerName";

    /**
     * Returns a reference to the <code>TransactionManager</code>
     * interface.
     */
    TransactionManager manager() throws RemoteException;

    /**
     * Retrieves a <code>Transaction</code> given the
     * transaction's ID.
     *
     * @param id the id
     */
    Transaction getTransaction(long id)
	throws RemoteException, UnknownTransactionException;
}
