/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.mahalo;

import java.io.File;
import java.io.Serializable;
import java.io.IOException;

import com.sun.jini.mahout.binder.BinderFactory;

/**
 * A <code>TxnManagerState</code> encapsulates the state needed for
 * reconstrucing the state of a TxnManager
 *
 * @author Ken Arnold
 * @author Gary Holness
 *
 * @see TxnManagerImpl
 */
public class TxnManagerState implements Serializable {
    static final long serialVersionUID = 8540651988054415579L;

    /**
     * @serial
     */
    private String name;

    /**
     * @serial
     */
    private String path;

    /**
     * @serial
     */
    private BinderFactory binderFactory;

    private static final boolean DEBUG = false;

    public TxnManagerState(String name, String path, 
			   BinderFactory binderFactory)
	throws IOException
    {
	this.name = name;
	this.path = path;
	this.binderFactory = binderFactory;
    }

    public String getName() {
	return name;
    }

    public String getPath() {
	return path;
    }

    public BinderFactory getBinderFactory() {
	return binderFactory;
    }
}
