/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.mahout;

import java.io.IOException;

/**
 * Administrative interface for controlling whether or not a service will 
 * bind itself into the RMI registry and how.
 * 
 * @deprecated This interface was experimental; as of 1.1Alpha, it has 
 *	been deprecated due to the fact that support for binding to an RMI 
 *      registry will be removed in a future release. Please update your 
 *      code to use a Jini lookup service.
 * 
 */
public interface RegistryAdmin {
    /**
     * Enable binding of the service into the RMI registry. If the
     * service is persistent it should also rebind itself into
     * registry when restarted.
     * <p>
     * This method will typically spawn a separate thread to do the
     * actual work asynchronously, so a successful return from this
     * method usually does not mean the service has finished the
     * process of binding itself RMI registry, just that it will in
     * the future if an appropriate registry exists.
     * <p>
     *
     * @param name The name bind itself under
     * @param port The port to look for the registry on.
     * @exception IllegalArgumentException if name is <code>null</code>
     * @exception IllegalStateException if binding into 
     *     RMI registry has already been enabled.  */
     public void enableRegistryBinding(String name, int port) 
	throws IOException;
}
