/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.mahout.binder;

import java.io.Serializable;
import java.io.IOException;
import java.rmi.RemoteException;

/**
 * Serializable object that will yield a Binder on demand.
 *
 * @see BinderSetup
 * @see Binder
 * @author John W.F. McClain 
 */
public interface BinderFactory extends Serializable {
    /**
     * Return the binder encapsulated by this object.
     */
    public Binder get() throws RemoteException;
}

