/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.mahout.binder;

import java.rmi.*;

/**
 * Non-remote object can't be bound into a RMI registry.  One
 * solution is to register remote object which has a method that will
 * return the object that we would have liked to have bound directly 
 * into the registry.  <code>RefHolder</code> is the interface for 
 * just such a remote object
 *
 * @deprecated This interface was experimental; as of 1.1Alpha, it has 
 *	been deprecated due to the fact that support for binding to an RMI 
 *      registry will be removed in a future release. Please update your 
 *      code to use a Jini lookup service.
 */
public interface RefHolder extends Remote {
    /**
     * Return the object that we wanted to bind into RMI registry 
     */
    Object proxy() throws RemoteException;
}
