/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.mercury;

import java.io.IOException;

/**
 * Superclass for all <tt>LogStream</tt> types. 
 *
 * @since Jini1.1
 */
 
interface LogStream {
    /**
     * Returns the associated key for this <tt>LogStream</tt>. 
     * This key is intended to be used as the key in a 
     * <tt>java.util.Collection</tt>.
     */
    Object getKey();

    /**
     * Closes this <tt>LogStream</tt> object and releases any 
     * associated resources.
     *
     * @exception IOException if an I/O error occured while attempting
     *                to close the <tt>LogStream</tt>.
     */
    void close() throws IOException;
}
