/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.norm;

/**
 * Exception thrown by <code>PersistentStore</code> when it discovers
 * the store has become corrupted.
 */
class CorruptedStoreException extends StoreException {
    /**
     * Constructs an <code>CorruptedStoreException</code> with a detail
     * message.
     * @param s the detailed message
     */
    CorruptedStoreException(String s) {
	super(s);
    }

    /**
     * Constructs an <code>CorruptedStoreException</code> with a detail
     * message and a nested exception.    
     * @param s the detailed message
     * @param t root cause for exception, may be <code>null</code>
     */
    CorruptedStoreException(String s, Throwable t) {
	super(s, t);
    }
}
