/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.norm;

import java.util.Map;
import com.sun.jini.proxy.UUID;

/**
 * Class that logs the creation of a set by the service
 */
class CreateLeaseSet extends LoggedOperation {
    /**
     * A copy of the set that was created
     * @serial
     */
    private LeaseSet set;

    /**
     * Simple constructor
     * @param set The set just created
     */
    protected CreateLeaseSet(LeaseSet set) {
	super(set.getUUID());
	this.set = set;
    }

    // Inherit java doc from super type
    void apply(Map setTable) {
	setTable.put(setID, set);
    }
}
