/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.norm;

/**
 * Utility class for generating locally unique IDs
 */
class UIDGenerator {
    /**
     * Value of the next ID
     */
    private long nextID = 0;

    /**
     * Generate ID, this method performs appropriate locking to
     * ensure the returned ID is unique
     */
    synchronized long newID() {
        return nextID++;
    }

    /**
     * Used during log recovery to update the generator that a given ID
     * is in use.  This method performs no locking.
     * @param ID ID that is in use
     */
    void inUse(long ID) {
        if (ID >= nextID)
	    nextID = ID + 1;
    }
}
