/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.outrigger;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Interface that provides methods to control the back-end process.      
 * Currently this interface provides a method to cleanly terminate the 
 * back-end.
 */
interface BackEndControl extends Remote {
    /**
     * When this method is invoked the back-end should finish
     * processing any complete logs, close the database,
     * return, do any other necessary cleanup, and then	
     * terminate.  The back-end should not reopen the database
     * after returning.
     */   
    public void finishAndTerminate() throws RemoteException;
}
