/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.outrigger;

/**
 * Used to hold the description of the parameters of the hash.
 *
 * @see EntryHandle
 * @see EntryHandle#hashFor(EntryRep,int,EntryHandleHashDesc)
 */
class EntryHandleHashDesc {
    /** Number of bits allocated in the hash for each field */
    int bitsPerField;

    /** How many fields are used in the hash? */
    int fieldsInHash;

    /** A mask with the lower <code>bitsPerField</code> bits set */
    long mask;

    public String toString() {
	return bitsPerField + " bits, " + fieldsInHash + " fields, " +
	       "mask = 0x" + Long.toHexString(mask);
    }
}
