/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.outrigger;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.rmi.AccessException;
import com.sun.jini.mahout.Locator;

/**
 * A <code>Finder</code> is the abstract class which provides the
 * methods needed in order to locate a service registered with a
 * naming service; for example an RMI registry or Jini(tm) lookup
 * service.
 *
 * @see com.sun.jini.mahout.Locator
 *
 * @author Ken Arnold
 * @author Gary Holness
 */
public abstract class Finder {
    public Finder() {
    }

    /**
     * Find a service.  Using <code>name</code> to find the service
     * inside the directory service returned by <code>locator</code>
     */
    public abstract Object find(Locator locator, String name);
}
