
#/*
# 
# Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
# 
# The contents of this file are made available under and subject to the Research
# Use License of the Sun Community Source License, Jini Technology Core Platform
# Version 1.0 (the "License").  This file has not been tested and may not pass
# the relevant Technology Compatibility Kit for Internal Deployment Use or
# Commercial Use.  You must test this file and it must constitute Compliant
# Covered Code in accordance with Your License prior to any Internal Deployment
# Use or Commercial Use by You.
# 
# Contributor(s): Sun Microsystems, Inc.
# 
# Version 1.1Beta
# 
#*/


# If we don't have PSEPro development tools then provide a value for
# ODI.classes so we can build against pro.zip and define JARSRC to be
# the directory we can get the orginal versions of pro.zip and
# outrigger.jar from

ifndef HAVEPSEPRO
ODI.classes 	 := $(DISTLIB)/pro.zip
else #ifndef HAVEPSEPRO

include $(VIEW_ROOT)/vob/tools/odi/GNUmakefile

# If you change the contents of this list do not forget to update the 
# jini-build.html file.
PERSIST.class	:= com.sun.jini.outrigger.EntryRep \
		   com.sun.jini.outrigger.EntryHandle \
		   com.sun.jini.outrigger.SimpleEntryHolder \
		   com.sun.jini.outrigger.ODIStoreDB \
		   com.sun.jini.outrigger.TypeTree \
		   com.sun.jini.outrigger.EntryHolderSet \
		   com.sun.jini.outrigger.TemplateHolderSet \
		   com.sun.jini.outrigger.TemplateHolder \
		   com.sun.jini.outrigger.TemplateHandle \
		   com.sun.jini.outrigger.EntryHandleTmplDesc \
		   com.sun.jini.outrigger.NotifyChit \
		   com.sun.jini.outrigger.TransactableChit \
		   com.sun.jini.outrigger.TransactableMgr \
		   com.sun.jini.mahout.StorableObject \
		   com.sun.jini.outrigger.PendingTxn \
		   com.sun.jini.outrigger.BackEndSpace\$$LastLog \
		   com.sun.jini.outrigger.PendingTxn\$$PendingOp \
		   com.sun.jini.outrigger.PendingTxn\$$WriteOp \
		   com.sun.jini.outrigger.PendingTxn\$$TakeOp \
		   com.sun.jini.collection.FastList \
		   com.sun.jini.collection.FastList\$$Node \

OSJCFP.flags	:= -naf com.sun.jini.outrigger.NotifyChit.lastNotified \

PERSIST.java	:= java.rmi.MarshalledObject \

PERSIST.class	:= $(sort $(PERSIST.class))
PERSIST.java	:= $(sort $(PERSIST.java))
PERSIST.paths	:= $(subst .,/,$(PERSIST.class))
PERSIST.files	:= $(PERSIST.paths:%=$(CLASSDIR)/%.class)

PSEDIR		:= $(TOP)/classesPSE
PSEDIR.ts	:= $(PSEDIR)/timestamp
PSEDIR.old	:= $(strip $(shell test -f $(PSEDIR.ts) && cat $(PSEDIR.ts)))

ifeq ($(THISDIR), .)
PSEDIR.this	:= $(TOP)/classesPSE
else
PSEDIR.this	:= $(PSEDIR)/$(THISDIR)
endif

all: pse-classes

pse-classes: check_ts $(PSEDIR.ts)

check_ts:
	@-test "$(PSEDIR.old)" = "$(PERSIST.class) $(PERSIST.java)" || rm -f $(PSEDIR.ts)

OSJCFP.cpath := $(CLASSPATH):$(JAVA.home)/lib/classes.zip:$(ODI.home)/tools.zip

$(PSEDIR.ts): $(FILES.class)
	@rm -f $@
	@$(ODI.bin)/osjversion
	@echo osjcfp -dest $(PSEDIR) $(OSJCFP.flags) \
	    $(PERSIST.class) $(PERSIST.java)
	@CLASSPATH=$(OSJCFP.cpath) \
	    OSJCFPJAVA="$(JAVA.bin)/oldjava -Xbootclasspath/p:$(CLASSPATH) -Xverify:none" \
	    $(ODI.bin)/osjcfp -dest $(PSEDIR) $(OSJCFP.flags) \
	    $(PERSIST.paths:%=$(CLASSDIR)/%.class) $(PERSIST.java)
	@echo '$(PERSIST.class) $(PERSIST.java)' > $@

dirs: $(PSEDIR)

$(PSEDIR):
	mkdir -p $@
	@test -d $@ || (echo no $@ ; exit 1)

# Clean all class files for this package and all subpackages
#
clean clobber clean.all clobber.all::
	-rm -rf $(PSEDIR.this)

clobber clobber.all::
	-rm -rf $(PSEDIR)

# Clean all class files for this package
#
clean.this clobber.this::
	-rm -f $(PSEDIR)/$(THISDIR)/*.class core
endif # ifndef HAVEPSEPRO

# Update building CLASSPATH to include the necessary PSEPro runtime
# classes. We need to use a temp var so we don't recurse on CLASSPATH.
# We can't use += because it insists on placing a " " in front of the
# thing being appended.
ODITEMP         := $(CLASSPATH)# Don't let any spaces creep in here
CLASSPATH 	 = $(ODITEMP):$(ODI.classes)
