/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.outrigger;
 
import java.rmi.*;
import net.jini.space.*;
import net.jini.core.transaction.*;
import com.sun.jini.admin.DestroyAdmin;
import com.sun.jini.mahout.KillVMAdmin;

/**
 * The interface that is used by the <code>AdminProxy</code> to talk
 * to the server.  In other words, this is the server's analog to the
 * <code>JavaSpaceAdmin</code> interface.
 *
 * @see BasicSpace#AdminProxy
 * @see JavaSpaceAdmin
 */
interface OutriggerAdmin extends Remote, DestroyAdmin, KillVMAdmin {
    /** Return the space administered by this object. */
    JavaSpace space() throws RemoteException;
    
    /**
     * Return the remote iterator object needed by
     * <code>JavaSpaceAdmin.contents</code>.
     */
    RemoteIter contents(EntryRep tmpl, Transaction txn)
	throws TransactionException, RemoteException;
}
