/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.outrigger;

import java.util.Enumeration;

/**
 * An internal interface for enumerating through <code>EntryRep</code>
 * objects inside a JavaSpace server.
 *
 * @see EntryHolder#contents
 * @see BasicSpace#AllReps
 */
interface RepEnum {
    /**
     * Return the next <code>EntryRep</code> object, or <code>null</code>
     * if there is none.  Repeated calls at the end simply continue to return
     * <code>null</code>.
     */
    EntryRep nextRep();
}
