/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.outrigger;

/**
 * This is used as a handback object to indicate that a proxy's blocked
 * call should "return" by throwing an exception.
 *
 * @see SpaceProxy
 */
class ThrowThis implements java.io.Serializable {
    static final long serialVersionUID = -7432214583908049814L;

    private Long	evID;		// the event ID
    private Exception	toThrow;	// the exception to throw

    ThrowThis(Long evID, Exception toThrow) {
	this.evID = evID;
	this.toThrow = toThrow;
    }

    Long id() {
	return evID;
    }

    Exception toThrow() {
	return toThrow;
    }

    public String toString()  {
	return evID + "->" + toThrow;
    }
}
