/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.outrigger;

/**
 * A ``do nothing'' object that is used to replace unchanged
 * <code>Transactable</code> objects inside managers.
 */
class TxnNoop implements Transactable,
    net.jini.core.transaction.server.TransactionConstants
{
    /** Return <code>NOTCHANGED</code>. */
    public int prepare(TransactableMgr mgr, BasicSpace space) {
	return NOTCHANGED;
    }

    /** Do nothing. */
    public void commit(TransactableMgr mgr, BasicSpace space) { }

    /** Do nothing. */
    public void abort(TransactableMgr mgr, BasicSpace space) { }
}
