/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.outrigger;

/**
 * A kind of <code>TemplateHandle</code> for 
 * templates used in notifications under transactions.
 *
 * @see TemplateHolder
 * @see TemplateHolder#newHandle
 */
public class TxnTemplateHandle extends TemplateHandle {
    private final TransactableMgr	txn;	// the transaction we work under

    /**
     * Create a new <code>TxnTemplateHandle</code> for the given
     * template managed by the given <code>TransactableMgr</code>
     */
    TxnTemplateHandle(EntryRep tmpl, TransactableMgr txnMgr) {
	super(tmpl);
	txn = txnMgr;
    }

    /**
     * Return the transaction governing this handle.
     */
    TransactableMgr txn() {
	return txn;
    }
}
