/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package com.sun.jini.thread;

import com.sun.jini.debug.Debug;

/**
 * This is a package-accessible class for turning on debug output in
 * the util classes.  The property name is for the debug property is
 * <code>com.sun.jini.thread.debug</code>.
 *
 * @see Debug
 */
class ThreadDebug {
    /**
     * The <code>Debug</code> object for
     * <code>com.sun.jini.thread.debug</code>.
     */
    static final Debug debug = new Debug("com.sun.jini.thread.debug");

    /**
     * A shorthand for invoking <code>getWriter</code> on the <code>debug</code>
     * field.
     */
    static java.io.PrintWriter getWriter(String subsystem) {
	return debug.getWriter(subsystem);
    }
}
