/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */

package net.jini.admin;

/** 
 * Every administrable service should implement this interface. 
 */
public interface Administrable {
    /**
     * Returns an object that implements whatever administration interfaces
     * are appropriate for the particular service.
     *
     * @return an object that implements whatever administration interfaces
     *         are appropriate for the particular service.
     * @throws java.rmi.RemoteException
     * @see JoinAdmin
     */
    Object getAdmin() throws java.rmi.RemoteException;
}
