/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package net.jini.discovery;

import java.io.DataOutputStream;
import java.io.IOException;
import java.io.OutputStream;

/**
 * Encapsulate the details of marshaling a unicast request.
 *
 * @see IncomingUnicastRequest
 * @author Bryan O'Sullivan
 */
public class OutgoingUnicastRequest {
    /**
     * The current version of the unicast discovery protocol.
     */
    protected static final int protoVersion = 1;

    /**
     * Marshal a unicast request to the given output stream.  The
     * stream is flushed afterwards.
     *
     * @param str the stream to marshal to
     * @exception IOException a problem occurred during marshaling
     */
    public static void marshal(OutputStream str) throws IOException {
	DataOutputStream dstr = new DataOutputStream(str);
	dstr.writeInt(protoVersion);
	dstr.flush();
    }
}
