/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package net.jini.lookup.entry;

import net.jini.entry.AbstractEntry;

/**
 * A free-form comment about a service.
 *
 * @author Bryan O'Sullivan
 */
public class Comment extends AbstractEntry {
    private static final long serialVersionUID = 7138608904371928208L;

    /**
     * Construct an empty instance of this class.
     */
    public Comment() {
    }
    
    /**
     * Construct an instance of this class, with all fields
     * initialized appropriately.
     */
    public Comment(String comment) {
	this.comment = comment;
    }

    /**
     * The comment itself.
     *
     * @serial
     */
    public String comment;
}
