/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package net.jini.lookup.entry;

import net.jini.entry.AbstractEntry;

/**
 * The name of a service as used by users.  A service may have
 * multiple names.
 *
 * @author Bryan O'Sullivan
 */
public class Name extends AbstractEntry {
    private static final long serialVersionUID = 2743215148071307201L;

    /**
     * Construct an empty instance of this class.
     */
    public Name() {
    }

    /**
     * Construct an instance of this class, with all fields
     * initialized appropriately.
     */
    public Name(String name) {
	this.name = name;
    }

    /**
     * The name itself.
     *
     * @serial
     */
    public String name;
}
