/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package net.jini.lookup.entry;

import net.jini.entry.AbstractEntry;
import java.awt.Image;

/**
 * Human-oriented information about the "type" of a service.  This is
 * not related to its data or class types, and is more oriented towards
 * allowing someone to determine what a service (for example, a printer)
 * does and that it is similar to another, without needing to know
 * anything about data or class types for the Java platform.
 *
 * @author Bryan O'Sullivan
 */
public abstract class ServiceType extends AbstractEntry
				  implements ServiceControlled
{
    private static final long serialVersionUID = -6443809721367395836L;

    /**
     * Instantiate this class.
     */
    public ServiceType() {
    }

    /**
     * Get an icon for this service.  This icon may be localized where
     * appropriate.  The valid parameter values are the same as for
     * the getIcon method of java.beans.BeanInfo.
     *
     * @param iconKind the kind of icon to return
     */
    public Image getIcon(int iconKind) {
	return null;
    }

    /**
     * Return the localized display name of this service.
     */
    public String getDisplayName() {
	return null;
    }

    /**
     * Return a localized short description of this service.
     */
    public String getShortDescription() {
	return null;
    }
}
