/*
 * 
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are made available under and subject to the Research
 * Use License of the Sun Community Source License, Jini Technology Core Platform
 * Version 1.0 (the "License").  This file has not been tested and may not pass
 * the relevant Technology Compatibility Kit for Internal Deployment Use or
 * Commercial Use.  You must test this file and it must constitute Compliant
 * Covered Code in accordance with Your License prior to any Internal Deployment
 * Use or Commercial Use by You.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * Version 1.1Beta
 * 
 */
package net.jini.lookup.entry;

import net.jini.entry.AbstractEntry;

/**
 * The base class from which other status-related entry classes may be
 * derived.
 *
 * @see StatusBean
 * @see StatusType
 * @author Bryan O'Sullivan
 */
public abstract class Status extends AbstractEntry implements ServiceControlled
{
    private static final long serialVersionUID = -5193075846115040838L;

    /**
     * Construct an empty Status object.
     */
    protected Status() {
    }

    /**
     * Construct a Status object with the given severity.
     *
     * @param severity the severity level of this status object
     */
    protected Status(StatusType severity) {
	this.severity = severity;
    }

    /**
     * The severity level of this status object.
     *
     * @serial
     */
    public StatusType severity;
}
